#include "SdsDustSensor.h"

int rxPin = 10; //orange
int txPin = 9; //parler au senseur

const int led1 = 2;
const int led2 = 3;
const int led3 = 4;

SdsDustSensor sds(rxPin, txPin);

void setup() {
  Serial.begin(9600);
  sds.begin();

pinMode(led1, OUTPUT);
 pinMode(led2, OUTPUT);
 pinMode(led3, OUTPUT);
 
  Serial.println(sds.queryFirmwareVersion().toString()); // prints firmware version
  Serial.println(sds.setActiveReportingMode().toString()); // ensures sensor is in 'active' reporting mode
  Serial.println(sds.setContinuousWorkingPeriod().toString()); // ensures sensor has continuous working period - default but not recommended
}

void loop() {
  PmResult pm = sds.readPm();
  if (pm.isOk()) {
    Serial.print("PM2.5 = ");
    Serial.print(pm.pm25);
    Serial.print(", PM10 = ");
    Serial.println(pm.pm10);

    digitalWrite(led1, HIGH);   // turn the LED on (HIGH is the voltage level)
 delay(1000);
    digitalWrite(led1,LOW);

    // if you want to just print the measured values, you can use toString() method as well
    Serial.println(pm.toString());
  } else {
    // notice that loop delay is set to 0.5s and some reads are not available
    Serial.print("Could not read values from sensor, reason: ");
    Serial.println(pm.statusToString());
    digitalWrite(led2, HIGH);   // turn the LED on (HIGH is the voltage level)
 delay(1000);
    digitalWrite(led2,LOW);
  }

  delay(100);
}
